import { ChipDesign } from '../../models/chip-design';
import { ChipType } from '../../models/chip-type';
export declare class BceChip {
    private el;
    design?: ChipDesign;
    hasFocus?: boolean;
    icon?: string;
    removable?: boolean;
    thumbnail?: string;
    type?: ChipType;
    checked?: boolean;
    disabled?: boolean;
    name?: string;
    value?: string;
    private onChip;
    private _id;
    private handleBlur;
    handleClick: () => void;
    private handleFocus;
    private handleMouseDown;
    private ignoreClick;
    private isColor;
    renderThumbnail(): any;
    renderIcon(): any;
    renderRemove(): any;
    render(): any;
}
